<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/readkrn.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>readkrn.c File Reference</h1><code>#include &quot;<a class="el" href="magpario_8h_source.html">magpario.h</a>&quot;</code><br/>
<code>#include &lt;string.h&gt;</code><br/>
<code>#include &lt;ctype.h&gt;</code><br/>
<div class="dynheader">
Include dependency graph for readkrn.c:</div>
<div class="dynsection">
<div class="center"><img src="readkrn_8c__incl.png" border="0" usemap="#io_2readkrn_8c_map" alt=""/></div>
<map name="io_2readkrn_8c_map" id="io_2readkrn_8c">
<area shape="rect" id="node3" href="magpario_8h.html" title="magpario.h" alt="" coords="159,86,244,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="readkrn_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="readkrn_8c.html#a85c6fd604f4655acf9edea63969a5676">read_one_line</a> (FILE *fd, char *line, int bufsize, char **comment_out)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="readkrn_8c.html#a59544353738dfce0bdce48409d9b3c8b">ReadKrn</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a85c6fd604f4655acf9edea63969a5676"></a><!-- doxytag: member="readkrn.c::read_one_line" ref="a85c6fd604f4655acf9edea63969a5676" args="(FILE *fd, char *line, int bufsize, char **comment_out)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int read_one_line </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>bufsize</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&nbsp;</td>
          <td class="paramname"> <em>comment_out</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readkrn_8c_source.html#l00032">32</a> of file <a class="el" href="readkrn_8c_source.html">readkrn.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, and <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="readkrn_8c_a85c6fd604f4655acf9edea63969a5676_icgraph.png" border="0" usemap="#readkrn_8c_a85c6fd604f4655acf9edea63969a5676_icgraph_map" alt=""></div>
<map name="readkrn_8c_a85c6fd604f4655acf9edea63969a5676_icgraph_map" id="readkrn_8c_a85c6fd604f4655acf9edea63969a5676_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a3f86d8b6fe0ca41eb041d4130e854c6f" title="CheckIterationLLG_Init" alt="" coords="157,18,312,49"/><area shape="rect" id="node14" href="readkrn_8c.html#a59544353738dfce0bdce48409d9b3c8b" title="ReadKrn" alt="" coords="200,98,269,129"/><area shape="rect" id="node5" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="361,5,489,35"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="540,58,599,89"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="543,5,596,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="648,58,699,89"/><area shape="rect" id="node16" href="modifyprop__par_8c.html#a5b18b26ca79926b582bf94e21e5f531b" title="ModifyPropPar" alt="" coords="372,58,479,89"/><area shape="rect" id="node19" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="372,111,479,142"/><area shape="rect" id="node21" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="540,111,599,142"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a59544353738dfce0bdce48409d9b3c8b"></a><!-- doxytag: member="readkrn.c::ReadKrn" ref="a59544353738dfce0bdce48409d9b3c8b" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ReadKrn </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="readkrn_8c_source.html#l00073">73</a> of file <a class="el" href="readkrn_8c_source.html">readkrn.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00115">GAMMA</a>, <a class="el" href="griddata_8h_source.html#l00149">GridData::hscale</a>, <a class="el" href="griddata_8h_source.html#l00152">GridData::lenscale</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00114">MU0</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="readkrn_8c_source.html#l00032">read_one_line()</a>, <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>, and <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>.</p>

<p>Referenced by <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, and <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_cgraph.png" border="0" usemap="#readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_cgraph_map" alt=""></div>
<map name="readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_cgraph_map" id="readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_cgraph">
<area shape="rect" id="node3" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="127,5,228,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_icgraph.png" border="0" usemap="#readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_icgraph_map" alt=""></div>
<map name="readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_icgraph_map" id="readkrn_8c_a59544353738dfce0bdce48409d9b3c8b_icgraph">
<area shape="rect" id="node3" href="modifyprop__par_8c.html#a5b18b26ca79926b582bf94e21e5f531b" title="ModifyPropPar" alt="" coords="127,5,233,35"/><area shape="rect" id="node9" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="127,58,233,89"/><area shape="rect" id="node11" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="284,58,343,89"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="284,5,343,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="392,31,443,62"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

